com.aliyun.svideosdk.editor

## Interface AliyunIRenderCallback

-     public interface AliyunIRenderCallback

  render callback

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `needRenderCallback()` Sets the texture callbacks to be enabled.
    `int` | `onCustomRender(int srcTextureID, int width, int height, long frameTime)` The callback that outputs the texture id before adding effects to the video.
    `void` | `onRenderDestroy()` render context destroy callback, call in render thread
    `void` | `onRenderSetup()` render context init callback, call in render thread
    `int` | `onTextureRender(int srcTextureID, int width, int height, long frameTime)` The callback that outputs the texture id after adding effects to the video.

- - ### Method Detail

    - #### onRenderSetup

          void onRenderSetup()

      render context init callback, call in render thread

    - #### onRenderDestroy

          void onRenderDestroy()

      render context destroy callback, call in render thread

    - #### onCustomRender

          int onCustomRender(int srcTextureID,
                             int width,
                             int height,
                             long frameTime)

      The callback that outputs the texture id before adding effects to the video.
      Parameters:
        `srcTextureID` - The old texture id.
        `width` - The width of the texture.
        `height` - The height of the texture.
        `frameTime` - frame render time relative to editor timeline in microsecond unit
      Returns:
        The texture id after the rendering.

    - #### onTextureRender

          int onTextureRender(int srcTextureID,
                              int width,
                              int height,
                              long frameTime)

      The callback that outputs the texture id after adding effects to the video.
      Parameters:
        `srcTextureID` - The old texture id.
        `width` - The width of the texture.
        `height` - The height of the texture.
        `frameTime` - frame render time relative to editor timeline in microsecond unit
      Returns:
        The texture id after the rendering.

    - #### needRenderCallback

          int needRenderCallback()

      Sets the texture callbacks to be enabled. Use vertical bars (|) to enable multiple callbacks. For example, RENDER_CALLBACK_CUSTOM | RENDER_CALLBACK_TEXTURE indicates both callbacks are enabled.
      See Also:
        `RenderCallbackFlags.RENDER_CALLBACK_NONE`, `RenderCallbackFlags.RENDER_CALLBACK_CUSTOM`, `RenderCallbackFlags.RENDER_CALLBACK_TEXTURE`